﻿using System;
using System.Text;

namespace SecuredFormExample.Code
{
    public class SHA1HashComputer : IHashComputer    
    {
        public string GetBase64HashString(string value, string secret)
        {
            // create an array of bytes that contains the value and the secret
            var bytes = Encoding.UTF8.GetBytes(value + secret);
            var sha1 = System.Security.Cryptography.SHA1.Create();
            var hash = sha1.ComputeHash(bytes);
            return Convert.ToBase64String(hash);
        }
    }
}
