<%@ Page Title="Multi Field Validation" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>


<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Multi Field Validation
</asp:Content>

<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <p><%=ViewData["message"] %></p>
    <% using(Html.BeginForm()) { %>
        <%=Html.Hidden("productId", 1) %>
        <%=Html.Hidden("someOtherValue", 1) %>
        <%=Html.MultipleFieldHashField("hash", new[] { 1, 1 }) %>
        <fieldset>  
            <p><label for="Name">Product Name:</label> <%=Html.TextBox("productName") %></p>
            <button onclick="document.getElementById('productId').value = 2; return false;">Tamper With Product ID</button>
            <button onclick="document.getElementById('someOtherValue').value = 2; return false;">Tamper With Other Value</button>
            <button name="save" value="without">Save Without Validation</button>
            <button name="save" value="with">Save WITH Validation</button>
        </fieldset>
    <% } %>
</asp:Content>
